.modal {
    box-sizing: border-box;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    background-color: whitesmoke;
    transition: 200ms ease-in-out;
    border: 1px solid lightgray;
    border-radius: 5px;
    z-index: 10;
    width: 50vw;
    max-width: 80%;
    display: flex;
}

.modal.active {
    transform: translate(-50%, -50%) scale(1);
}

.modal-tag {
    font-size: 1.4vmax;
}

.modal-content a {
    font-size: 1.4vmax;
}

.modal-pic {
    flex: 0 0 50%;
}
.modal-pic img{
    width: 100%;
    height: auto;
}

.modal-content {
    width: 0 0 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    font-size: 1.25rem;
    padding: 3vmin;
    text-align: center;
}

.modal .modal-content a {
    font-family: "freight-sans-pro", sans-serif;
    font-weight: 500;
    color: #ffffff;
    background-color: #d83c2d;
    display: inline-block;
    font-size: 1rem;
    padding: 2vmin;
    text-decoration: none;
}

.modal .title {
    font-weight: 900;
    font-size: 1.4vmax;
}

.close-button {
    position: absolute;
    right: 0;
    cursor: pointer;
    border: none;
    outline: none;
    background: none;
    font-size: x-large;
}

#overlay {
    position: fixed;
    opacity: 1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    transition: 200ms ease-in-out;

}

#overlay.active {
    pointer-events: all;
    opacity: 1;
    background-color: rgba(0, 0, 0, .5);
}

.intro {
    box-sizing: border-box;
    width: 100%;
    height: 100vh;
    background-image: url('snake-3979601.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}



.box1, .box2 {
    padding: 2vmin;
    width: 21%;
    border-style: solid;
    border-width: 1px;
    font-size: 1.5vmax;
    color: whitesmoke;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    opacity: 0;
}

.box1 {
    position: absolute;
    right: 8%;
    top: 130%;
    
}

.box1.active, .box2.active {
    opacity: 1;
}

.box2 {
    position: absolute;
    right: 18%;
    top: 153%;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

@media screen and (max-width: 600px) {
    .intro {
    height: 80vh;
    }

    .box1{
        top: 123%;
        font-size: 1.2vmax;
    }

    .box2{
        top: 135%;
        font-size: 1.2vmax;
    }

    .modal-tag {
        font-size: 1vmax;
    }
    
    .modal-content a {
        font-size: 1vmax;
    }
    .modal {
        width: 75vw;
    }
  }

  @media screen and (max-width: 400px) {

    .box1{
        top: 130%;
    }

    .box2{
        top: 142%;
    }
  }

section {
    padding: 5vmin 0 0 0;
    min-height: 100vh;
    background-color: black;
    display: flex;
    justify-content: center;
}

.snake-info {
    box-sizing: border-box;
    padding: 5vmin;
    width: 70%;
    background-color: whitesmoke;
}

.content-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.content-box {
    min-height: 60vmin;
    border-style: solid;
    border-width: 1px;
    border-color: gray;
    padding: 5vmin;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 1.1vmax;
}

a img {
    width: 70%;
    height: auto;
    border-style: solid;
    border-width: 1px;
}
.content-box a {
    padding-top: 1vmin;
    color: darkgreen;
    font-weight: 500;
    align-self: unset;
}